For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
      • GETGet knowledge articles
      • DELDelete multiple articles
      • GETGet a single knowledge article
      • DELDelete a single article
      • POSTUpsert multiple articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
KnowledgeArticles

Delete multiple articles

DELETE
https://example.ada.support/api/v2/knowledge/articles/
DELETE
/api/v2/knowledge/articles/
1import requests
2
3url = "https://example.ada.support/api/v2/knowledge/articles/"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.delete(url, headers=headers)
8
9print(response.json())
1{}
Delete multiple articles
Was this page helpful?
Previous

Get a single knowledge article

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

idlist of stringsOptional
Filter by article id
enabledlist of booleansOptional
Filter by enabled status
languagelist of stringsOptional
Filter by language
knowledge_source_idlist of stringsOptional
Filter by knowledge source
tag_idslist of stringsOptional
Filter by tag ids

Response

Articles successfully deleted

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error